Reverted(special file)

NAME
Reverted — an entity has been reverted

SYNOPSIS

[file] Reverted(in type ID);

DESCRIPTION

The Reverted notice is sent when all the modifications (see the Modified notice) to an entity have been discarded.

The ID argument is the identity of the modified or reverted entity. When its type is File, then the ID argument is unset (in other words, has a value of (char *)0), and it refers to the file or directory named in the message's file attribute.

APPLICATION USAGE

The ttdt_file_join(3), function can be used to register for, and help process, the Reverted request.

The Reverted request can be sent with ttdt_file_event(3).

SEE ALSO

ttdt_file_event(3), ttdt_file_join(3); Saved notice.